Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.maven.aether.support
[Groovy] Class MultipleTopLevelJavaScopeSelector

    java.lang.Object
      org.eclipse.aether.util.graph.transformer.ConflictResolver$ScopeSelector
          org.codehaus.groovy.grails.resolve.maven.aether.support.MultipleTopLevelJavaScopeSelector

    @groovy.transform.CompileStatic
    class MultipleTopLevelJavaScopeSelector
    extends org.eclipse.aether.util.graph.transformer.ConflictResolver$ScopeSelector

The default org.eclipse.aether.util.graph.transformer.JavaScopeSelector just takes whatever is the first top-level dependency as the valid scope without comparing the effective scope of multiple. This class fixes that

Authors:
  Graeme Rocher

Since:
  2.3.3

Method Summary
`void` | `selectScope(org.eclipse.aether.util.graph.transformer.ConflictResolver$ConflictContext context)`

Methods inherited from class org.eclipse.aether.util.graph.transformer.ConflictResolver$ScopeSelector
org.eclipse.aether.util.graph.transformer.ConflictResolver$ScopeSelector#getInstance(org.eclipse.aether.graph.DependencyNode, org.eclipse.aether.collection.DependencyGraphTransformationContext), org.eclipse.aether.util.graph.transformer.ConflictResolver$ScopeSelector#selectScope(org.eclipse.aether.util.graph.transformer.ConflictResolver$ConflictContext), org.eclipse.aether.util.graph.transformer.ConflictResolver$ScopeSelector#wait(long, int), org.eclipse.aether.util.graph.transformer.ConflictResolver$ScopeSelector#wait(long), org.eclipse.aether.util.graph.transformer.ConflictResolver$ScopeSelector#wait(), org.eclipse.aether.util.graph.transformer.ConflictResolver$ScopeSelector#equals(java.lang.Object), org.eclipse.aether.util.graph.transformer.ConflictResolver$ScopeSelector#toString(), org.eclipse.aether.util.graph.transformer.ConflictResolver$ScopeSelector#hashCode(), org.eclipse.aether.util.graph.transformer.ConflictResolver$ScopeSelector#getClass(), org.eclipse.aether.util.graph.transformer.ConflictResolver$ScopeSelector#notify(), org.eclipse.aether.util.graph.transformer.ConflictResolver$ScopeSelector#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### selectScope

    @java.lang.Override
    void selectScope(org.eclipse.aether.util.graph.transformer.ConflictResolver$ConflictContext context)

Groovy Documentation